1. Card Products
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
      • List Contacts
      • Get Contact
      • Count Contacts
    • Virtual Accounts
      • Create Virtual Account
      • List Virtual Accounts
      • Get Virtual Account
    • Transactions
      • List Transactions
      • Get Transaction
    • Account Balance
      • List Account Balances
      • Get Balance by Currency
    • Payout
      • Create Payout
  • Payment Links
    • Payment Links
      • Create Payment Link
      • Update Payment Link
      • Get Payment Link Detail
      • Get Payment Link List
    • Transactions
      • Get Transaction List
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
    • Issuing
      • Card Activated
      • Card Failed
      • Transaction Completed
      • Transaction Declined
  • Issuing
    • Card Products
      • List Card Products
        GET
    • Cardholders
      • Create Cardholder
      • List Cardholders
      • Get Cardholder
    • Cards
      • Issue Card
      • List Cards
      • Get Card
      • Create Card Secure Session
    • Transactions
      • List Transactions
      • Get Transaction
  1. Card Products

List Card Products

GET
/api/v1/issuing/cardProduct/list
Query the card products enabled for the current customer. Use the returned cardProductCode when issuing a card.

Request

Query Params

Responses

🟢200
application/json
Card products retrieved successfully
Bodyapplication/json

🟠401Unauthorized
🔴500InternalError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/issuing/cardProduct/list?pageNum=&pageSize='
Response Response Example
200 - Example 1
{
    "code": 200,
    "message": "success",
    "data": {
        "total": 0,
        "list": [
            {
                "cardProductCode": "string",
                "displayName": "string",
                "cardBrand": "string",
                "cardForm": "string",
                "supportedCurrencies": [
                    "string"
                ],
                "kycLevel": "string"
            }
        ],
        "pageNum": 0,
        "pageSize": 0,
        "pages": 0
    }
}
Modified at 2026-08-11 10:11:22
Previous
Transaction Declined
Next
Create Cardholder
Built with